g.gui.animation(1)

NAME
g.gui.animation - Tool for animating a series of raster and vector maps or a space time raster or vector dataset.

KEYWORDS
general, GUI, display, animation

SYNOPSIS
g.gui.animation
g.gui.animation --help
g.gui.animation [raster=name[,name,...]] [vector=name[,name,...]] [strds=name] [stvds=name] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

raster=name[,name,...]
    Raster maps to animate

vector=name[,name,...]
    Vector maps to animate
    Or data source(s) for direct OGR access

strds=name
    Space time raster dataset to animate

stvds=name
    Space time vector dataset to animate

DESCRIPTION
The Animation Tool is a wxGUI component for animating series of GRASS raster or vector maps or space time datasets (created by t.* modules).

Animation Tool allows you to:

    •   display up to 4 synchronized animations

    •   each animation can consist of base map layer(s) and (multiple) series in arbitrary order (for example, raising water level with elevation)

    •   control the animation speed

    •   interactively change active frame using a slider

    •   visualize space time datasets with unequally spaced intervals

    •   animate 3d view (partially implemented, not supported on Windows)

    •   export animation as a series of images, animated GIF, AVI or SWF

    •   choose format of time labels in case of animating maps with absolute time

    •   choose background color

    •   set starting and ending region in order to change region during animation (alternatively you can set N-S/E-W values instead of the ending region; these are used for making the region smaller or larger for each step)

3D view animation enables to animate raster (as an elevation map or a color map) or vector map (points, lines). Internally, module m.nviz.image is used. To display 3D view animation follow these steps:

    •   open GRASS GUI, load maps and start 3D view

    •   set view, light and other parameters as you like

    •   save workspace file

    •   add new animation in Animation Tool, choose 3D view mode

    •   choose data (series of maps or space time dataset) used for animation

    •   set workspace file

    •   choose parameter (parameter of m.nviz.image) to animate (e.g. color_map)

NOTE
The Animation Tool follows the computational region settings, so please be sure your computational region is set to the geographic extent of maps you are animating. You can change the computational region (using g.region) and then reload the maps to update the animation.

EXAMPLES

g.gui.animation raster=rmap1,rmap2,rmap3
g.gui.animation vector=vmap1,vmap2,vmap3
g.gui.animation strds=precipitation_2000_2010

The loading of a series of maps into the Animation Tool can be simplified with g.list (back ticks syntax works for Linux and Mac only):

g.gui.animation raster=`g.list type=raster mapset=. separator=comma pattern="precip*"`

Using extended regular expressions, the list of a series of raster maps can be subset by e.g., numeric range (here: precipitation for the years 1997-2012):

g.gui.animation raster=`g.list -e type=raster mapset=. separator=comma pattern="precip_total.(199[7-9]|200[0-9]|201[0-2]).sum"`

SEE ALSO
wxGUI
wxGUI components

g.gui.timeline, g.list, m.nviz.image

See also related wiki page.

AUTHOR
Anna Kratochvilova, Czech Technical University in Prague, Czech Republic

$Date$

SOURCE CODE

Available at: wxGUI Animation tool source code (history)

Main index | GUI index | Topics index | Keywords index | Graphical index | Full index

© 2003-2019 GRASS Development Team, GRASS GIS 7.8.0 Reference Manual